Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.openssh
Class OpenSSHPrivateKeyFormat

    java.lang.Object
      com.sshtools.j2ssh.openssh.OpenSSHPrivateKeyFormat

All Implemented Interfaces:
  SshPrivateKeyFormat

public class OpenSSHPrivateKeyFormat
extends java.lang.Object
implements SshPrivateKeyFormat

DOCUMENT ME!

Constructor Summary
`OpenSSHPrivateKeyFormat()` Creates a new OpenSSHPrivateKeyFormat object.

Method Summary
`byte[]` | `decryptKeyblob(byte[] formattedKey, java.lang.String passphrase)` DOCUMENT ME!
`byte[]` | `encryptKeyblob(byte[] keyblob, java.lang.String passphrase)` DOCUMENT ME!
`java.lang.String` | `getFormatType()` DOCUMENT ME!
`boolean` | `isFormatted(byte[] formattedKey)` DOCUMENT ME!
`boolean` | `isPassphraseProtected(byte[] formattedKey)` DOCUMENT ME!
`boolean` | `supportsAlgorithm(java.lang.String algorithm)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenSSHPrivateKeyFormat

    public OpenSSHPrivateKeyFormat()

  Creates a new OpenSSHPrivateKeyFormat object.

Method Detail

### getFormatType

    public java.lang.String getFormatType()

  DOCUMENT ME!

  Specified by:
    `getFormatType` in interface `SshPrivateKeyFormat`
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### decryptKeyblob

    public byte[] decryptKeyblob(byte[] formattedKey,
                                 java.lang.String passphrase)
                          throws InvalidSshKeyException

  DOCUMENT ME!

  Specified by:
    `decryptKeyblob` in interface `SshPrivateKeyFormat`
  Parameters:
    `formattedKey` - DOCUMENT ME!
    `passphrase` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### encryptKeyblob

    public byte[] encryptKeyblob(byte[] keyblob,
                                 java.lang.String passphrase)
                          throws InvalidSshKeyException

  DOCUMENT ME!

  Specified by:
    `encryptKeyblob` in interface `SshPrivateKeyFormat`
  Parameters:
    `keyblob` - DOCUMENT ME!
    `passphrase` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### isFormatted

    public boolean isFormatted(byte[] formattedKey)

  DOCUMENT ME!

  Specified by:
    `isFormatted` in interface `SshPrivateKeyFormat`
  Parameters:
    `formattedKey` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### isPassphraseProtected

    public boolean isPassphraseProtected(byte[] formattedKey)

  DOCUMENT ME!

  Specified by:
    `isPassphraseProtected` in interface `SshPrivateKeyFormat`
  Parameters:
    `formattedKey` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### supportsAlgorithm

    public boolean supportsAlgorithm(java.lang.String algorithm)

  DOCUMENT ME!

  Specified by:
    `supportsAlgorithm` in interface `SshPrivateKeyFormat`
  Parameters:
    `algorithm` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD